<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:param name="pageName" value="#{messages['net.ihe.gazelle.evsclient.APIKeyManagement']}"/>
    <ui:param name="pageNameUrl" value="/administration/apiKeyManagement.seam"/>
    <ui:param name="pageNameTitle" value=""/>

    <ui:define name="body">
        <s:div id="globalDiv">
            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:param name="panel_id" value="AllPreferencesPanel"/>

                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.evsclient.APIKeyManagement']}"/>
                </ui:define>

                <h:form id="globalForm">
                    <rich:dataTable id="tableId" render="ds"
                                    value="#{apiKeyBeanGui.apiKeys}"
                                    var="apiKey"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    styleClass="table table-striped  table-responsive">
                        <g:column>
                            <ui:define name="header">
                                #{messages['net.ihe.gazelle.evsclient.KeyValue']}
                            </ui:define>
                            <h:outputText value="#{apiKey.value}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">
                                #{messages['net.ihe.gazelle.evsclient.CreationDate']}
                            </ui:define>
                            <g:date date="true" time="true" value="#{apiKey.creationDate}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">
                                #{messages['net.ihe.gazelle.evsclient.ExpirationDate']}
                            </ui:define>
                            <g:date date="true" time="true" value="#{apiKey.expirationDate}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">
                                #{messages['net.ihe.gazelle.evsclient.Status']}
                            </ui:define>
                            <h:outputText value="#{messages['net.ihe.gazelle.evs.Valid']}"
                                          styleClass="label label-success"
                                          rendered="#{not apiKey.isExpired()}"/>
                            <h:outputText value="#{messages['net.ihe.gazelle.evsclient.Expired']}"
                                          styleClass="label label-danger"
                                          rendered="#{apiKey.isExpired()}"/>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="tableId"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </h:form>

                <ui:define name="panel_footer">
                    <h:form id="buttonForm">
                        <a4j:region>
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.evsclient.CreateANewAPIKey']}"
                                               render="globalDiv"
                                               rendered="#{apiKeyBeanGui.displayCreateNewKeyButton()}"
                                               action="#{apiKeyBeanGui.createNewKey()}"
                                               styleClass="gzl-btn-green"
                                               execute="@this"/>
                        </a4j:region>
                    </h:form>
                </ui:define>

            </ui:decorate>
        </s:div>
    </ui:define>
</ui:composition>
